VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vcenter::ovf::LibraryItemTypes::DeploymentTarget Class Reference

The `LibraryItem.DeploymentTarget` class describes the location (target) where a virtual machine or virtual appliance should be deployed. More...

List of all members.

## Public Member Functions
| DeploymentTarget ()
| Creates a default new instance.
string | GetResourcePoolId ()
| Identifier of the resource pool to which the virtual machine or virtual appliance should be attached.
void | SetResourcePoolId (string resourcePoolId)
| Identifier of the resource pool to which the virtual machine or virtual appliance should be attached.
string | GetHostId ()
| Identifier of the target host on which the virtual machine or virtual appliance will run.
void | SetHostId (string hostId)
| Identifier of the target host on which the virtual machine or virtual appliance will run.
string | GetFolderId ()
| Identifier of the vCenter folder that should contain the virtual machine or virtual appliance.
void | SetFolderId (string folderId)
| Identifier of the vCenter folder that should contain the virtual machine or virtual appliance.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `LibraryItem.DeploymentTarget` class describes the location (target) where a virtual machine or virtual appliance should be deployed.

It is used in the `Deploy` and `Filter` methods. See LibraryItem.Deploy and LibraryItem.Filter .

## Constructor & Destructor Documentation

vmware::vcenter::ovf::LibraryItemTypes::DeploymentTarget::DeploymentTarget | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::vcenter::ovf::LibraryItemTypes::DeploymentTarget::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::vcenter::ovf::LibraryItemTypes::DeploymentTarget::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::vcenter::ovf::LibraryItemTypes::DeploymentTarget::_GetType | ( |  | ) | `[inline]`

bool vmware::vcenter::ovf::LibraryItemTypes::DeploymentTarget::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::vcenter::ovf::LibraryItemTypes::DeploymentTarget::_Validate | ( |  | ) | `[inline]`

override bool vmware::vcenter::ovf::LibraryItemTypes::DeploymentTarget::Equals | ( | object | obj | ) | `[inline]`

string vmware::vcenter::ovf::LibraryItemTypes::DeploymentTarget::GetFolderId | ( |  | ) | `[inline]`

Identifier of the vCenter folder that should contain the virtual machine or virtual appliance.

The folder must be virtual machine folder. When clients pass a value of this class as a parameter, the field must be an identifier for the resource type: `Folder` . When methods return a value of this class as a result, the field will be an identifier for the resource type: `Folder` .

override int vmware::vcenter::ovf::LibraryItemTypes::DeploymentTarget::GetHashCode | ( |  | ) | `[inline]`

string vmware::vcenter::ovf::LibraryItemTypes::DeploymentTarget::GetHostId | ( |  | ) | `[inline]`

Identifier of the target host on which the virtual machine or virtual appliance will run.

The target host must be a member of the cluster that contains the resource pool identified by LibraryItem.DeploymentTarget.resourcePoolId . When clients pass a value of this class as a parameter, the field must be an identifier for the resource type: `HostSystem` . When methods return a value of this class as a result, the field will be an identifier for the resource type: `HostSystem` .

string vmware::vcenter::ovf::LibraryItemTypes::DeploymentTarget::GetResourcePoolId | ( |  | ) | `[inline]`

Identifier of the resource pool to which the virtual machine or virtual appliance should be attached.

When clients pass a value of this class as a parameter, the field must be an identifier for the resource type: `ResourcePool` . When methods return a value of this class as a result, the field will be an identifier for the resource type: `ResourcePool` .

void vmware::vcenter::ovf::LibraryItemTypes::DeploymentTarget::SetFolderId | ( | string | folderId | ) | `[inline]`

Identifier of the vCenter folder that should contain the virtual machine or virtual appliance.

The folder must be virtual machine folder. When clients pass a value of this class as a parameter, the field must be an identifier for the resource type: `Folder` . When methods return a value of this class as a result, the field will be an identifier for the resource type: `Folder` .

void vmware::vcenter::ovf::LibraryItemTypes::DeploymentTarget::SetHostId | ( | string | hostId | ) | `[inline]`

Identifier of the target host on which the virtual machine or virtual appliance will run.

The target host must be a member of the cluster that contains the resource pool identified by LibraryItem.DeploymentTarget.resourcePoolId . When clients pass a value of this class as a parameter, the field must be an identifier for the resource type: `HostSystem` . When methods return a value of this class as a result, the field will be an identifier for the resource type: `HostSystem` .

void vmware::vcenter::ovf::LibraryItemTypes::DeploymentTarget::SetResourcePoolId | ( | string | resourcePoolId | ) | `[inline]`

Identifier of the resource pool to which the virtual machine or virtual appliance should be attached.

When clients pass a value of this class as a parameter, the field must be an identifier for the resource type: `ResourcePool` . When methods return a value of this class as a result, the field will be an identifier for the resource type: `ResourcePool` .

override string vmware::vcenter::ovf::LibraryItemTypes::DeploymentTarget::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- LibraryItemTypes.cs